View Single Post
Old 11-11-2020, 09:48 PM   #1433
davidfor
Grand Sorcerer
davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.
 
Posts: 21,631
Karma: 37281447
Join Date: Jul 2011
Location: Sydney, Australia
Device: Kobo:Touch,Glo, AuraH2O, GloHD,AuraONE, ClaraHD, Libra H2O; tolinoepos
Quote:
Originally Posted by Lewapq View Post
Hello,

When I try to authorzie Plugin with Goodreads I get the below error. Can you please suggest what might be the problem ?

Thanks in advance,
Lewapq

Code:
calibre, version 5.4.2
ERROR: Unhandled exception: <b>SSLHandshakeError</b>:[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get issuer certificate (_ssl.c:1123)

calibre 5.4.2  embedded-python: True is64bit: False
Windows-10-10.0.18362 Windows ('32bit', 'WindowsPE')
32bit process running on 64bit windows
('Windows', '10', '10.0.18362')
Python 3.8.5
Windows: ('10', '10.0.18362', '', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Gather KFX-ZIP (from KFX Input) (1, 35, 0) && Package KFX (from KFX Input) (1, 35, 0) && Amazon.com Multiple Countries (1, 0, 0) && Author Book Count (2, 1, 9) && Barnes & Noble (1, 2, 16) && Find Duplicates (1, 8, 3) && Goodreads (1, 5, 1) && Goodreads Sync (1, 14, 3) && Goodreads_Rating (3, 1, 0) && KFX metadata reader (from KFX Input) (1, 35, 0) && KFX Input (1, 35, 0) && Kindle Collections (1, 7, 29) && LubimyCzytac (2, 0, 46)
Traceback (most recent call last):
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1096, in connect
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 117, in _ssl_wrap_socket
  File "ssl.py", line 500, in wrap_socket
  File "ssl.py", line 1040, in _create
  File "ssl.py", line 1309, in do_handshake
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get issuer certificate (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "calibre_plugins.goodreads_sync.config", line 1118, in authorize_plugin
  File "calibre_plugins.goodreads_sync.core", line 215, in get_request_token_secret
  File "calibre_plugins.goodreads_sync.core", line 131, in _oauth_request_get
  File "calibre_plugins.goodreads_sync.oauth2.__init__", line 689, in request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1689, in request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1429, in _request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1349, in _conn_request
  File "calibre_plugins.goodreads_sync.httplib2.__init__", line 1122, in connect
calibre_plugins.goodreads_sync.httplib2.SSLHandshakeError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get issuer certificate (_ssl.c:1123)
Can you try visiting the Goodread page with the current Microsoft browser? A lot of certificate issues are because they haven't been updated where the OS stores them. I can't decide if that is one of them, or if it is a transitory problem that will probably work the nect time.

I have checked that it is working from here. One of the above reasons is the most likely cause.
davidfor is offline   Reply With Quote